Summary: A spam filter for Usenet news servers.
Name: cleanfeed
%define version 0.95.7b
Version: %{version}
Release: 3
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.exit109.com/users/jeremy/cleanfeed-%{version}.tar.gz
Patch0: cleanfeed-0.95.7b-redhat.patch
Buildroot: /var/tmp/cleanfeed-root
Requires: perl-MD5
BuildArchitectures: noarch

Serial: 2000022301
Distribution: TurboLinux Japan

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- update to 0.95.7b

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups
- patch to get rod of /usr/local/bin/perl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- first package

%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed is
highly configurable, easily modified and very fast.  It can be configured
to block binary posts to non-binary newsgroups, to cancel already-rejected
articles, and to reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet news
server.

%prep
%setup
%patch0 -p1 -b .rh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin/control
install -m 0644  cleanfeed.conf $RPM_BUILD_ROOT/etc/news/
install -m 0644  cleanfeed.8 $RPM_BUILD_ROOT/usr/man/man8/
install -m 0750  cleanfeed \
	$RPM_BUILD_ROOT/usr/lib/news/bin/control/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(-,news,news) %config /etc/news/cleanfeed.conf
/usr/man/man8/cleanfeed.8
%attr(-,news,news) /usr/lib/news/bin/control/filter_innd.pl
